
-- | Run all the tests
module Data.Generics.Fixplate.Tests where
  
--------------------------------------------------------------------------------
  
import Data.Generics.Fixplate.Base
import Data.Generics.Fixplate.Traversals
import Data.Generics.Fixplate.Morphisms
import Data.Generics.Fixplate.Attributes
import Data.Generics.Fixplate.Zipper
import Data.Generics.Fixplate.Structure  

import Data.Generics.Fixplate.Test.Tools
import Data.Generics.Fixplate.Test.Instances

import Test.QuickCheck

--------------------------------------------------------------------------------

run_all_tests :: IO ()
run_all_tests = do
  putStrLn "tests for instances..."       ; runtests_InstancesMisc
  putStrLn "tests for Read/Show..."       ; runtests_ReadShow
  putStrLn "tests for Attrib wrapper..."  ; runtests_Attrib
  putStrLn "tests for traversals..."      ; runtests_Traversals
  putStrLn "tests for Attributes..."      ; runtests_Attributes
  putStrLn "tests for zippers..."         ; runtests_Zipper

--------------------------------------------------------------------------------
